package com.ruoyi.gysl.service.impl;

import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.Notice;
import com.ruoyi.gysl.entity.stats.AllProjectResponse;
import com.ruoyi.gysl.entity.stats.RibbonResponse;
import com.ruoyi.gysl.mapper.QyStatsMapper;
import com.ruoyi.gysl.mapper.ZwStatsMapper;
import com.ruoyi.gysl.service.QyStatsService;
import com.ruoyi.gysl.service.ZwStatsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 企业统计服务实现类
 *
 * @author makejava
 * @since 2025-02-24 09:25:55
 */
@Service("qyStatsService")
public class QyStatsServiceImpl implements QyStatsService {

    @Resource
    private QyStatsMapper qyStatsMapper;

    /**
     * 项目情况
     */
    @Override
    public AllProjectResponse allProject(String userName) {
        return qyStatsMapper.allProject(userName);
    }

    /**
     * 关联项目
     */
    @Override
    public List<BasicInformation> relationalProject(String username) {
        return qyStatsMapper.relationalProject(username);
    }

    /**
     * 消息通知
     */
    @Override
    public List<Notice> qyNotice(String username) {
        return qyStatsMapper.qyNotice(username);
    }

    /**
     * 企业消息通知数量
     */
    @Override
    public int qyNoticeCount(String username) {
        return qyStatsMapper.qyNoticeCount(username);
    }

}
