package com.ruoyi.gysl.service;

import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.Notice;
import com.ruoyi.gysl.entity.stats.AllProjectResponse;
import com.ruoyi.gysl.entity.stats.RibbonResponse;

import java.util.List;

/**
 * 企业统计服务接口
 *
 * @author makejava
 * @since 2025-02-24 11:10:06
 */
public interface QyStatsService {

    /**
     * 项目情况
     */
    AllProjectResponse allProject(String userName);

    /**
     * 关联项目
     */
    List<BasicInformation> relationalProject(String username);


    /**
     * 消息通知
     */
    List<Notice> qyNotice(String username);

    /**
     * 企业消息通知数量
     */
    int qyNoticeCount(String username);
}

